package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 固定源产排治--执行报告--企业基本信息对象 b_stat_table_zxbg_jbxx_info
 *
 * @author szhpt
 * @date 2023-07-27*/
@ApiModel(value = "固定源产排治--执行报告--企业基本信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_stat_table_zxbg_jbxx_info")
public class BStatTableZxbgJbxxInfo extends BStatTableZxbgJbxxInfoFactoryBase
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    @Excel(name = "执行报告类型")
    private String zxbgType;


    @ApiModelProperty(value = "报告周期")
    /** 执行报告周期 */
    @Excel(name = "报告周期")
    private String zxbgPeriod;


    @ApiModelProperty(value = "记录内容")
    /** 执行报告记录内容 */
    @Excel(name = "记录内容")
    private String zxbgRecord;


    @ApiModelProperty(value = "执行报告生产单元")
    /** 执行报告生产单元 */
    @Excel(name = "生产单元")
    private String zxbgProPress;


    @ApiModelProperty(value = "名称")
    /** 名称 */
    @Excel(name = "名称")
    private String zxbgName;


    @ApiModelProperty(value = "参数")
    /** 参数 */
    @Excel(name = "参数")
    private String zxbgParam;


    @ApiModelProperty(value = "单位")
    /** 单位 */
    @Excel(name = "单位")
    private String zxbgUnit;


    @ApiModelProperty(value = "数量")
    /** 数量 */
    @Excel(name = "数量")
    private Long zxbgNum;


    @ApiModelProperty(value = "备注")
    /** 备注 */
    @Excel(name = "备注")
    private String zsbgRemark;




    @ApiModelProperty(value = "是否删除")
    /** 是否删除 */
    private String isDelete;


    public String getZxbgType() {
        return zxbgType;
    }

    public void setZxbgType(String zxbgType) {
        //0：月报，1：季报，2：年报
        if(StringUtils.isNotBlank(zxbgType)){
           if(zxbgType.equals("0")){this.zxbgType = "月报";}
           if(zxbgType.equals("1")){this.zxbgType = "季报";}
           if(zxbgType.equals("2")){this.zxbgType = "年报";}
        }else {
            this.zxbgType = zxbgType;
        }
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("zxbgType", getZxbgType())
            .append("zxbgPeriod", getZxbgPeriod())
            .append("zxbgRecord", getZxbgRecord())
            .append("zxbgProPress", getZxbgProPress())
            .append("zxbgName", getZxbgName())
            .append("zxbgParam", getZxbgParam())
            .append("zxbgUnit", getZxbgUnit())
            .append("zxbgNum", getZxbgNum())
            .append("zsbgRemark", getZsbgRemark())
            .append("createTime", getCreateTime())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
